Get a Pricing Attribute

get

/rest/v19/pricingSetup/attributes/{attributeVariableName}

Use this endpoint to retrieve the specified pricing attribute.

Request

Path Parameters
Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link).More than one child can be specified using comma as a separator. Example: ?expand=mappings.To include all the children,grandChildren,specify the value of this query parameter to be "all".
  • This parameter filters the resource attributes. Only the specified attributes are returned, which means that if no attributes are specified, all attributes are returned.
Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : PricingAttribute
Type: object
Show Source
  • Title: Active
    Indicates whether Pricing Attribute is active.
  • Title: Array Type
    Indicates whether Pricing Attribute is an array type.
  • Title: Attribute Level
    Allowed Values: [ "Header", "Line", "Charge" ]
    Pricing Attribute Level.
  • Created By
    Title: Created By
    Read Only: true
    The details of the user who created the record.
  • Title: Data Type
    Allowed Values: [ "Boolean", "Currency", "String", "Decimal", "Date", "Integer", "Text Area" ]
    Data Type of the Pricing Attribute.
  • Title: Date Added
    Read Only: true
    Creation date of the Pricing Attribute.
  • Title: Date Modified
    Read Only: true
    Last modified date of the Pricing Attribute.
  • Title: Default Value
    The default value of the Charge Attribute.
  • Title: Default Value Display Label
    Read Only: true
    The default value display label of the Charge Attribute.
  • Title: Description
    Description of the Pricing Attribute.
  • Title: Group Access Enabled
    Read Only: true
    Indicates whether the user has access to the groups segment
  • Title: IO Type
    Allowed Values: [ "Input", "Output", "Internal", "External" ]
    Pricing Attribute IO Type.
  • Title: Key
    Read Only: true
    Indicates whether the Charge Attribute is part of the user key.
  • Last Modified By
    Title: Last Modified By
    Read Only: true
    The details of the user who modified the record.
  • Links
  • Title: Lookup Type
    The lookup type variable name for the Pricing Attribute.
  • Title: Lookup Type Display Label
    Read Only: true
    The lookup type display label for the Pricing Attribute.
  • Attribute Mappings
    Title: Attribute Mappings
    Read Only: true
    List of mappings for the Pricing Attribute.
  • Title: Name
    Name of the Pricing Attribute.
  • Title: Negotiable
    Indicates whether the Charge Attribute is editable in runtime.
  • Title: Order Number
    The order of the Charge Attribute.
  • Title: Required
    Indicates whether Charge Attribute is required.
  • Title: Segment-level Access Type
    Read Only: true
    Segment-level Access Type
  • Title: Template Variable Key
    Read Only: true
    Allowed Values: [ "Custom", "Quantity", "BomItemVariableName", "ChargeAttribute", "PriceAsOf", "RequestedRatePlanNumber", "ServiceDuration", "ServiceDurationPeriod", "RequestedAgreementNumber", "BuyingAccountID", "Currency Code", "PartNumber", "Customer ID", "Line Price As Of", "Header Number", "Business Unit ID", "Header Contract Start Date", "Header Contract End Date", "Line Contract Start Date", "Line Contract End Date", "Covered Line ID", "Coverage Header Number" ]
    Pricing Attribute template variable key.
  • Title: Valid
    Read Only: true
    Indicates whether Pricing Attribute is valid.
  • Title: Variable Name
    Variable Name of the Pricing Attribute.
  • Title: Visibility
    Indicates whether the Charge Attribute is visible in Administration or Runtime.
Nested Schema : Created By
Title: Created By
Read Only: true
The details of the user who created the record.
Match All
The details of the user who created the record.
Show Source
Nested Schema : Last Modified By
Title: Last Modified By
Read Only: true
The details of the user who modified the record.
Match All
The details of the user who modified the record.
Show Source
Nested Schema : Attribute Mappings
Title: Attribute Mappings
Read Only: true
List of mappings for the Pricing Attribute.
Match All
List of mappings for the Pricing Attribute.
Show Source
Nested Schema : UserDetails
Type: object
Show Source
Nested Schema : PricingResourceCollection_PricingMappedDataSourceAttribute
Type: object
Show Source
  • Title: Count
    Read Only: true
    The number of resource instances returned in the current range.
  • Created By
    Title: Created By
    Read Only: true
    The details of the user who created the record.
  • Title: Group Access Enabled
    Read Only: true
    Indicates whether the user has access to the groups segment
  • Title: HasMore
    Read Only: true
    Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
  • items
  • Last Modified By
    Title: Last Modified By
    Read Only: true
    The details of the user who modified the record.
  • Title: Limit
    Read Only: true
    The actual paging size used by the server.
  • Links
  • Title: OffSet
    Read Only: true
    The offset value used in the current page.
  • Title: Segment-level Access Type
    Read Only: true
    Segment-level Access Type
  • Title: Total Results
    Read Only: true
    Captures the total count of the resource instances, which not only includes the instances in the current range, but all instances on the server that satisfy the request.
Nested Schema : Created By
Title: Created By
Read Only: true
The details of the user who created the record.
Match All
The details of the user who created the record.
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : Last Modified By
Title: Last Modified By
Read Only: true
The details of the user who modified the record.
Match All
The details of the user who modified the record.
Show Source
Nested Schema : PricingMappedDataSourceAttribute
Type: object
Show Source
Nested Schema : Created By
Title: Created By
Read Only: true
The details of the user who created the record.
Match All
The details of the user who created the record.
Show Source
Nested Schema : Last Modified By
Title: Last Modified By
Read Only: true
The details of the user who modified the record.
Match All
The details of the user who modified the record.
Show Source
Back to Top

Examples

The following examples show how to retrieve the specified pricing attribute in Pricing Engine by submitting a GET request to the REST resource using cURL. For more information about cURL, see Use cURL.

The 'expand' query specification is used in the following example to include attribute mappings in the response.

curl - X GET -H "Authorization: Bearer <token>" - H "Content-type: application/json"
https://sitename.oracle.com/rest/v19/pricingSetup/attributes/Newy14?expand=mappings

Response Body Sample

{
  "links": [{
      "rel": "self",
      "href": "https://sitename.oracle.com/rest/v19/pricingSetup/attributes/Newy14?expand=mappings"
    }, {
      "rel": "parent",
      "href": "https://sitename.oracle.com/rest/v19/pricingSetup/attributes"
    }, {
      "rel": "child",
      "href": "https://sitename.oracle.com/rest/v19/pricingSetup/attributes/Newy14/mappings"
    }, {
      "rel": "canonical",
      "href": "https://sitename.oracle.com/rest/v19/pricingSetup/attributes/Newy14"
    }
  ],
  "valid": true,
  "arrayType": false,
  "templateVariableKey": "Custom",
  "mappings": {
    "items": [{
        "orderNumber": -1,
        "id": 3022761830,
        "dataSourceAttribute": "/process/test_bmClone_1/_main_doc/main/arrayCurrency1",
        "dataSourceLabel": "Pricing In BOM",
        "dataSourceProviderVariableName": "test_bmClone_1",
        "variableName": "arrayCurrency1",
        "attributeLabel": "Array Currency 1",
        "validMapping": true
      }, {
        "orderNumber": 0,
        "id": 3022764062,
        "dataSourceAttribute": "/process/test/_main_doc/main/arrayCurrency1",
        "dataSourceLabel": "Test",
        "dataSourceProviderVariableName": "test",
        "variableName": "arrayCurrency1",
        "attributeLabel": "Array Currency 1",
        "validMapping": true
      }, {
        "orderNumber": 1,
        "id": 3022764225,
        "dataSourceAttribute": "/config/test3/currencyField1",
        "dataSourceLabel": "Configuration : Test 3",
        "dataSourceProviderVariableName": "CONFIG_ATTRS_test3",
        "variableName": "currencyField1",
        "attributeLabel": "Currency Field 1",
        "validMapping": true
      }
    ]
  },
  "variableName": "Newy14",
  "dataType": "Currency",
  "name": "netfgy4",
  "description": null,
  "dateModified": "2022-05-19T04:42:09.000Z",
  "id": 3022761824,
  "attributeLevel": "Line",
  "dateAdded": "2022-05-19T04:42:09.000Z"
}
Back to Top